<%@ Page Language="C#" MasterPageFile="~/Admin/MasterPage.master" AutoEventWireup="true" Inherits="Kesion.NET.WebSite.Admin_ZGMonitorItem" Title="考试监控管理" Codebehind="KS.ZGMonitorItem.Aspx.cs" %>
<%@ Import Namespace="Kesion.Cache" %>
<%@ Import Namespace="Kesion.Publics" %>
<asp:Content ID="Content1" ContentPlaceHolderID="KSContent" Runat="Server">

    <asp:Panel ID="listPanel" runat="server" Width="100%">
    <style>
   @media print {     
          .noprint{display: none; }   
          
    }  
		 .page a{margin:5px 4px 0 0; color:#2E2828;background:#fff; display:inline-table; border:1px solid #efefef; float:left; text-align:center;height:20px;line-height:20px;min-width:20px;}
        .page a.curr{color:brown;}
    </style>
    
    <script>
        document.title = '正在监控试卷[<%=dr["title"].ToString()%>]的考试。。。';
        var t = setInterval("show(1);", 1000);
        var currPage = 1;
        function show(page) {
            if (page != currPage) {
                currPage = page;
                clearInterval(t);
                t = setInterval("show("+page+");", 2000);
            }
            jQuery("#loadcontent").load("KS.ZGMonitorAjax.aspx?page="+page+"&sjid=<%=SJID %>");
        }
         var box=null;
       function openWin(title,url,isreload,width,height)
       { 
          if (width==null) width=760;
          if (height == null) height = 450;
          box = jQuery.dialog.open(url,{ id:'topbox',lock: true, title: title, width: width, height: height, close: function() {
           if (isreload) {
              location.reload();
              }
          }
          });
       }

       function attent(scoreId) {
           var title = "警告";
           if (scoreId == 0) {
               title = "通知";
           } 
            openWin(title, "exam/KS.ZGMonitorWarning.aspx?scoreId=" + scoreId+"&sjId=<%=SJID %>", false, 600, 360);
        }
        function attentmanage(scoreId) {
            openWin("管理发布出去的通知及警告", "exam/KS.ZGMonitorWarnManage.aspx?sjId=<%=SJID %>&scoreId=" + scoreId, false, 880, 460);
        }
    </script>
      <div id="manage_top" class="noprint menu_top_fixed">
        
       &nbsp;&nbsp;<a href="javascript:window.close()" onclick="return(confirm('确定关闭监控吗？'));"><strong>关闭监控</strong></a>
       &nbsp;&nbsp;查看[<span style="color:Red"><%=dr!=null?dr["title"].ToString():string.Empty %></span>]下正在考试的考生 ，试卷总分：<%=dr!=null?dr["score"].ToString():string.Empty %>分，考试时间：<%=dr!=null?dr["kssj"].ToString():string.Empty %>分钟
      </div>     
  <div class="menu_top_fixed_height"></div>     
<div class="content-area"> 
  
     <div id="loadcontent">loading...</div>
    
           
            <br />
            <div class="noprint">
            <asp:Panel ID="Panel1" runat="server" Height="30px" Width="739px">
            
            &nbsp;&nbsp;<input type="checkbox" name="chkall" id="chkall" onclick="CheckAll(this.form);"/><label for="chkall">全部选中</label>
               &nbsp;<input type="button" value="批量发出通知" onmouseout="this.className='button';" class="button" onclick="attent(0);" />
               &nbsp;<input type="button" value="管理发布出去的通知及警告" class="button" onclick="attentmanage(0);"/>
               <input class="button" type="button" value=" 打印本页" onclick="window.print()">
    
             </asp:Panel>
            
              <br />
            <script type="text/javascript">
            showtips('<span class="state"><strong>说明：</strong><br /></span>考试实时监控，如果发现考生作弊，可以发出警告或是踢出考场。');
            </script>
         </asp:Panel>
     
</div>

</asp:Content>